Page MenuHomePhabricator

Evaluate WebdriverIO replacements for our browser automation framework
Closed, ResolvedPublic

Description

Status

toolrepositorystatus
CypressEntitySchema0/19 (0%)
Cypressmediawiki/core5/19 (24 %)
PuppeteerEntitySchema19/19 (100%)
Puppeteermediawiki/core19/19 (100 %)
WebdriverIO asyncEntitySchema0/19 (0%)
WebdriverIO asyncmediawiki/core19/19 (100%)

TODO

  • ?

Options


We use WebdriverIO as a browser driver for our test automation framework. There are at least a couple of good alternatives. Evaluate how much work would it be to switch to an alternative. Subtasks are suggested alternatives. That is not an exclusive list. Feel free to suggest other alternatives.

The tool needs to support:

  • Chromium based browsers (Chrome...)
  • Firefox

Previous evaluation:

See also:

Subtasks:

Micro tasks:

Mentors:

Student:

Related Objects

StatusSubtypeAssignedTask
Resolvedzeljkofilipin
Resolvedzeljkofilipin
OpenNone
ResolvedJdforrester-WMF
Resolvedzeljkofilipin
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedzeljkofilipin
InvalidGbahdeyboh
ResolvedGbahdeyboh
Resolvedzeljkofilipin
DeclinedGbahdeyboh
DuplicateSoham
Resolvedzeljkofilipin
OpenNone
OpenNone
ResolvedSoham
Resolvedzeljkofilipin
ResolvedSoham
ResolvedDinp2
ResolvedGbahdeyboh
ResolvedNone
Resolvedzeljkofilipin
ResolvedGbahdeyboh
Resolvedzeljkofilipin
ResolvedSoham
ResolvedSoham
DeclinedGbahdeyboh
Resolvedzeljkofilipin
ResolvedNone
ResolvedSoham
Resolvedzeljkofilipin
Resolvedzeljkofilipin
OpenNone
OpenNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jpita added a comment.Mar 24 2020, 2:23 AM

@zeljkofilipin do we run tests on firefox with wdio?

@Jpita Not at the moment, but we're not locked in to Chrome. We used to run tests on Firefox.

Jpita added a comment.Mar 24 2020, 3:16 PM

Cypress now supports firefox anyway

Yes, puppeteer supports firefox as well

Hello, My name is gaurav and i am persuing my engineering in computer science department , and am looking for a part of gsoc 2020 . So i think this project is perfect , i know i am a bit late for all this,but i can give my best in remaining time. I worked on both Java script and Node js and had a good expirence.
So can anyone tell me how can i start contributing in this project or which micro task should i do.

I would be looking forward to hear from you

Thank You
Gaurav

Hello, My name is gaurav and i am persuing my engineering in computer science department , and am looking for a part of gsoc 2020 . So i think this project is perfect , i know i am a bit late for all this,but i can give my best in remaining time. I worked on both Java script and Node js and had a good expirence.
So can anyone tell me how can i start contributing in this project or which micro task should i do.

I would be looking forward to hear from you

Thank You
Gaurav

Hi @Gaura87. In the task description above, There are 2 sub-tasks and each sub-tasks has corresponding Microtasks. You can jump on any of the sub-tasks you're most comfortable with and ask questions when stuck

Hi @Jpita, I'd love to send you a DM on zulip. Do you mind sharing your username/name?

(Note that private messages don't scale and don't help others.)

Soham added a comment.EditedMar 27 2020, 12:49 PM

@Jpita @zeljkofilipin just a query, we will be evaluating both Puppeteer and Cypress as replacements right? I am asking this because based off of what I could understand from documentation, Cypress does not support Firefox

Soham added a comment.EditedMar 27 2020, 5:24 PM

Cypress now supports firefox anyway

Can you guide me to a resource for this? It said their support for Firefox browsers is in beta

In T247835#6005939, @AlQaholic007 wrote:

Cypress now supports firefox anyway

Can you guide me to a resource for this? It said their support for Firefox browsers is in beta

The official docs are very well done https://docs.cypress.io/guides/guides/cross-browser-testing.html

@Jpita @zeljkofilipin. Can you kindly point me to a place where I can view a list of all projects that makes use of WebdriverIO as it's browser automation framework?

Hi @Jpita, I'd love to send you a DM on zulip. Do you mind sharing your username/name?

Not all mentors are using zulip yet. Also, as @Aklapper said, it's better to ask questions in public.

@Jpita @zeljkofilipin. Can you kindly point me to a place where I can view a list of all projects that makes use of WebdriverIO as it's browser automation framework?

This page has all repositories that I'm aware of (in Wikimedia context): https://www.mediawiki.org/wiki/Selenium/Reference/Example_Code

Soham added a comment.EditedMar 28 2020, 2:08 PM

@zeljkofilipin @Jpita are we evaluating for all the repos that use WebDriverIO or just mediawiki/core and then use that evaluation as the basis of remainder of front end repos?

@AlQaholic007 I would suggest rewriting tests in cypress/puppeteer for at least mediawiki/core and a few other repositories, so we could then estimate the effort of moving all repositories to the alternative.

Soham added a comment.Mar 28 2020, 3:17 PM

@AlQaholic007 I would suggest rewriting tests in cypress/puppeteer for at least mediawiki/core and a few other repositories, so we could then estimate the effort of moving all repositories to the alternative.

Yes i had the same idea in mind. Based on evaluations we can then migrate it to other repos using WebdriverIO

Dinp2 removed a subscriber: Dinp2.Apr 3 2020, 11:06 AM
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 6:01 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin moved this task from Backlog to Project on the User-Soham board.Jun 19 2020, 1:55 PM
Soham updated the task description. (Show Details)Jul 22 2020, 7:30 AM
Soham updated the task description. (Show Details)
zeljkofilipin moved this task from Project to In Progress on the User-Soham board.
zeljkofilipin updated the task description. (Show Details)
Michael added a subscriber: Michael.Aug 3 2020, 9:05 AM
Soham updated the task description. (Show Details)Aug 25 2020, 9:07 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed Soham as the assignee of this task.Aug 26 2020, 11:04 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin moved this task from In Progress to Project on the User-Soham board.
zeljkofilipin moved this task from Project to Backlog on the User-Soham board.Sep 9 2020, 8:36 AM

Is everything in this project task planned for Google-Summer-of-Code (2020) completed? If yes, please consider closing this task as resolved. If bits and pieces are remaining, you could consider creating a new task and moving them there.

zeljkofilipin closed this task as Resolved.Sep 23 2020, 8:55 AM

Hi @srishakatux! I think this task is resolved. There are a few subtasks that need to be reviewed and resolved, but the evaluation is done. @Soham, please correct me if I'm wrong. 😁